org.apache.jmeter.report.core

## Interface StringConverter<TDest>

- Type Parameters:
    `TDest` - the generic type

      public interface StringConverter<TDest>

  The interface StringConverter represents a converter from a string to another type.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TDest` | `convert(java.lang.String value)` Converts the specified value to the type TDest.

- - ### Method Detail

    - #### convert

          TDest convert(java.lang.String value)
                 throws ConvertException

      Converts the specified value to the type TDest.
      Parameters:
        `value` - the value to convert
      Returns:
        the destination type
      Throws:
        `ConvertException` - occurs when the value cannot be converted to the type TDest

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.